//////////////////////////////////////////////////////////////////////////
// Copyright 2002-2006 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Words. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//////////////////////////////////////////////////////////////////////////
package com.aspose.words.documentexplorer;

import com.aspose.words.Document;

import javax.swing.*;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeModel;
/// <summary>
/// This class is used as a repository for objects, that should be available from any place of the project code.
/// </summary>
public class Globals
{
    /// <summary>
    /// This class is purely static, that's why we prevent instance creation by declaring instance constructor as private.
    /// </summary>
    private Globals() {}

	// Titles
	static final String APPLICATION_TITLE = "Document Explorer";
	static final String UNEXPECTED_EXCEPTION_DIALOG_TITLE = APPLICATION_TITLE + " - unexpected error occured";
	static final String OPEN_DOCUMENT_DIALOG_TITLE = "Open Document";
	static final String SAVE_DOCUMENT_DIALOG_TITLE = "Save Document As";

	// File filters
	static final OpenFileFilter OPEN_FILE_FILTER = new OpenFileFilter(
			new String[] {".doc", ".dot"}, "Word Document Files (*.doc, *.dot)");

    static final SaveFileFilter SAVE_FILE_FILTER_DOC = new SaveFileFilter(".doc", "Word Documents (*.doc)");
    static final SaveFileFilter SAVE_FILE_FILTER_HTML = new SaveFileFilter(".html", "HTML Files (*.html)");
	static final SaveFileFilter SAVE_FILE_FILTER_PDF = new SaveFileFilter(".pdf", "Acrobat Files (*.pdf)");

	/// <summary>
	/// Reference for application's main form.
	/// </summary>
	static MainForm mMainForm;

    /// <summary>
    /// Reference for currently loaded Document.
    /// </summary>
    static Document mDocument;

    //java-added:
    /// <summary>
    /// Reference for current Tree Model
    /// </summary>
    static DefaultTreeModel mTreeModel;

    //java-added:
    /// <summary>
    /// Reference for current Tree
    /// </summary>
    static JTree mTree;

    //java-added:
    /// <summary>
    /// Reference for current Tree
    /// </summary>
    static DefaultMutableTreeNode mRootNode;
}
